

We only call pageout() for dirty pages, so this test is redundant.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/vmscan.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/vmscan.c~vmscan-pageout-remove-unneeded-test mm/vmscan.c
--- 25/mm/vmscan.c~vmscan-pageout-remove-unneeded-test	2005-04-03 03:07:23.000000000 -0700
+++ 25-akpm/mm/vmscan.c	2005-04-03 03:07:32.000000000 -0700
@@ -325,7 +325,7 @@ static pageout_t pageout(struct page *pa
 		 * Some data journaling orphaned pages can have
 		 * page->mapping == NULL while being dirty with clean buffers.
 		 */
-		if (PageDirty(page) && PagePrivate(page)) {
+		if (PagePrivate(page)) {
 			if (try_to_free_buffers(page)) {
 				ClearPageDirty(page);
 				printk("%s: orphaned page\n", __FUNCTION__);
_
